var parallel = require('cjs-async/parallel'),
    taskList = [
        function ( callback ) {
            setTimeout(function () {
                callback(null, true);
            }, 10);
        },
        function ( callback ) {
            setTimeout(function () {
                callback(null, 256);
            }, 20);
        },
        function ( callback ) {
            setTimeout(function () {
                callback(null, '512');
            }, 0);
        },
        function () {
            return 32;
        }
    ];

parallel(taskList, function ( error, results ) {
    if ( !error ) {
        // results contains array of the given tasks execution results
        // [true, 256, '512', 32]
        console.log(results);
    }
});;